- Qt 6.8
- Qt Help
- C++ Classes
- QHelpSearchQueryWidget
- Qt 6.8.0 Reference Documentation

# QHelpSearchQueryWidget Class

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

Header: | #include <QHelpSearchQueryWidget>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help
Inherits: | QWidget

- List of all members, including inherited members
- Deprecated members

## Public Functions

| QHelpSearchQueryWidget(QWidget *parent = nullptr)
virtual | ~QHelpSearchQueryWidget() override
void | collapseExtendedSearch()
void | expandExtendedSearch()
QString | searchInput() const
void | setSearchInput(const QString &searchInput)

## Signals

void | search()

## Detailed Description

## Member Function Documentation

### `[explicit]` QHelpSearchQueryWidget::QHelpSearchQueryWidget(QWidget *parent = nullptr)

Constructs a new search query widget with the given parent.

### `[override virtual noexcept]` QHelpSearchQueryWidget::~QHelpSearchQueryWidget()

Destroys the search query widget.

### void QHelpSearchQueryWidget::collapseExtendedSearch()

Collapses the search query widget so that only the default search field is shown.

### void QHelpSearchQueryWidget::expandExtendedSearch()

Expands the search query widget so that the extended search fields are shown.

### `[signal]` void QHelpSearchQueryWidget::search()

This signal is emitted when a the user has the search button invoked. After receiving the signal you can ask the QHelpSearchQueryWidget for the search input that you may pass to the QHelpSearchEngine::search() function.

### QString QHelpSearchQueryWidget::searchInput() const

Returns a search phrase to use in combination with the QHelpSearchEngine::search(const QString &searchInput) function.

See also setSearchInput().

### void QHelpSearchQueryWidget::setSearchInput(const QString &searchInput)

Sets the QHelpSearchQueryWidget input field to the value specified by searchInput.

Note: The QHelpSearchEngine::search(const QString &searchInput) function has to be called to perform the actual search.

See also searchInput().